package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;

import org.gcube.application.geoportalcommon.shared.geoportal.LifecycleInformationDV;

/**
 * The Class CommitReport.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Jul 30, 2021
 */
public class CommitReport implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3606902201347318287L;
	public String projectID;
	private LifecycleInformationDV lifecycleInformation;

	/**
	 * Instantiates a new commit report.
	 */
	public CommitReport() {

	}

	public CommitReport(String projectID, LifecycleInformationDV lifecycleInfo) {
		this.projectID = projectID;
		this.lifecycleInformation = lifecycleInfo;
	}

	public String getProjectID() {
		return projectID;
	}

	public LifecycleInformationDV getLifecycleInformation() {
		return lifecycleInformation;
	}

	public void setProjectID(String projectID) {
	}

	public void setLifecycleInformation(LifecycleInformationDV lifecycleInformation) {
		this.lifecycleInformation = lifecycleInformation;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("CommitReport [projectID=");
		builder.append(projectID);
		builder.append(", lifecycleInformation=");
		builder.append(lifecycleInformation);
		builder.append("]");
		return builder.toString();
	}

}
